//
// Hier sind alle Outputroutinen versammelt.
// Besonders Fehler und Warnungsmeldungen.
// Die Funktionen 'Error()', 'Warning()', 'Ask()'  und 'Message()' rufen alle
// dieselbe Funktion auf, nur die berschriften sind andere. Bei 'Ask()' wird
// zustzlich noch ein Button eingefgt.
//

#include <intuition/intuition.h>
#include "export.h"
#include "resgrep.h"

struct EasyStruct OutRequest =
{
   sizeof (struct EasyStruct),
   0,
   NULL,
   NULL,
   NULL
};

int ReqOut(char *Headline, char *text, char *wahl)
{
   OutRequest.es_Title	      = Headline;
   OutRequest.es_TextFormat   = text;
   OutRequest.es_GadgetFormat = wahl;

   return EasyRequest(theWindow,&OutRequest,0);
}


void ResError(char *text)
{
   ReqOut("ResGrep Error",text,"Oh, no!");
}

void ResWarning(char *text)
{
   ReqOut("ResGrep Warning",text,"It'll better next time.");
}

void ResMessage(char *text)
{
   ReqOut("ResGrep Message",text,"Read it!");
}

int ResAsk(char *text, char *wahl)
{
   return ReqOut("ResGrep Message",text,wahl);
}

